**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/20.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-action-details.md

# Retrieve Workflow Task Action Details



Retrieve the details of a specific object workflow task action. The response lists the details of the task action, including all fields required to initiate the action.

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
| `{task_action}` | The name of the task action retrieved from [Retrieve Workflow Task Actions](/vault-api/api-reference/20.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-actions). |
</FieldTable>

## Query Parameters {#query-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v14.0/objects/objectworkflows/tasks/801/actions/complete

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "name":"user_task__v",
            "label":"Approver Verdict(s)",
            "type": "task",
            "description": "Approver must select a verdict.",
            "controls": [
                {
                    "label": "Instructions",
                    "type": "instructions",
                    "instructions": "Specify a verdict giving your views.",
                    "prompts": []
                },
                {
                    "label": "Date",
                    "type": "date",
                    "prompts": [
                        {
                            "name": "due_date__c",
                            "label": "Due Date"
                        }
                    ]
                },
                {
                    "label": "Fields",
                    "type": "field",
                    "prompts": [
                        {
                            "name": "product__v.generic_name__c",
                            "label": "Generic Name",
                            "required": true,
                            "multi_value": false,
                            "current_value":
                            [
                               "00P07551"
                            ]
                        },
                        {
                            "name": "product__v.internal_name__c",
                            "label": "Internal Name",
                            "required": false,
                            "multi_value": false,
                            "current_value":
                            [
                               "00P07551"
                            ]
                        },
                        {
                            "name": "product__v.compound_id__c",
                            "label": "Compound Id",
                            "required": false,
                            "multi_value": false,
                            "current_value":
                            [
                               "00P07551"
                            ]
                        }
                    ]
                },
                {
                    "label": "Verdict",
                    "type": "verdict",
                    "verdict": "verdict_field__c",
                    "reason": "reason_field__c",
                    "prompts": [],
                    "verdicts": [
                        {
                            "name": "approve__c",
                            "label": "Approve",
                            "prompts": [],
                            "reasons":[]
                        },
                        {
                            "name": "approved_with_changes__c",
                            "label": "Approved with Changes",
                            "prompts": [
                                {
                                    "name": "product__v.generic_name__c",
                                    "label": "Generic Name",
                                    "type": "field",
                                    "required": true,
                                    "multi_value": false,
                                    "current_value":
                                    [
                                    "00P07551"
                                    ]
                                },
                                {
                                    "name": "product__v.internal_name__c",
                                    "label": "Internal Name",
                                    "type": "field",
                                    "required": false,
                                    "multi_value": false,
                                    "current_value":
                                    [
                                    "00P07551"
                                    ]
                                },
                                {
                                    "name": "product__v.compound_id__c",
                                    "label": "Compound Id",
                                    "type": "field",
                                    "required": false,
                                    "multi_value": false,
                                    "current_value":
                                    [
                                    "00P07551"
                                    ]
                                }
                            ],
                            "reasons": [
                                {
                                    "name": "safety__c",
                                    "label": "Safety",
                                    "required": true
                                },
                                {
                                    "name": "reg_affairs__c",
                                    "label": "Regulatory Affairs",
                                    "required": true
                                },
                                {
                                    "name": "procurement__c",
                                    "label": "Procurement",
                                    "required": true
                                }
                            ]
                        },
                        {
                            "name": "reject__c",
                            "label": "Reject",
                            "reasons": [
                                {
                                    "name": "safety__c",
                                    "label": "Safety",
                                    "required": true
                                },
                                {
                                    "name": "reg_affairs__c",
                                    "label": "Regulatory Affairs",
                                    "required": true
                                },
                                {
                                    "name": "procurement__c",
                                    "label": "Procurement",
                                    "required": true
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}

```
</CodeExample>

---

**Previous:** [Retrieve Workflow Task Actions](/medical/vault-api/api-reference/20.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-actions)  
**Next:** [Initiate Workflow Task Action](/medical/vault-api/api-reference/20.1/object-lifecycle-workflows/workflow-tasks/initiate-workflow-task-action)